<?xml version="1.0" encoding="UTF-8"?>
<fmiModelDescription
  fmiVersion="1.0"
  modelName="@DUMMY_FMU_NAME@"
  modelIdentifier="@DUMMY_FMU_NAME@"
  description="Dummy FMU for testing of openPASS inputs"
  generationTool=""
  guid="@FMUGUID@"
  generationDateAndTime="@FMUTIMESTAMP@"
  numberOfContinuousStates="2"
  numberOfEventIndicators="1">

  <DefaultExperiment startTime="0" stopTime="3"/>

  <ModelVariables>
    
        <ScalarVariable name="v_ego" valueReference="0"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="aLongitudinal_ego" valueReference="1"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="aLateral_ego" valueReference="2"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="steeringWheelAngle_ego" valueReference="3"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="pedalPosition_ego" valueReference="4"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="brakePedalPosition_ego" valueReference="5"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="deltaS_ego_front" valueReference="6"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="x_ego" valueReference="7"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="y_ego" valueReference="8"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="yaw_ego" valueReference="9"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="s_ego" valueReference="10"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="t_ego" valueReference="11"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="0" valueReference="12"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="x_front" valueReference="13"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="y_front" valueReference="14"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="width_front" valueReference="15"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="length_front" valueReference="16"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="yaw_front" valueReference="17"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="s_front" valueReference="18"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="t_front" valueReference="19"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="v_front" valueReference="20"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="x_frontFront" valueReference="21"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="y_frontFront" valueReference="22"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="v_frontFront" valueReference="23"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="deltaS_frontFront" valueReference="24"  causality="input">
            <Real  start="0.0" />
        </ScalarVariable>
        <ScalarVariable name="lane_ego" valueReference="0" variability="discrete" causality="input">
            <Integer  start="0" />
        </ScalarVariable>
        <ScalarVariable name="lane_front" valueReference="1" variability="discrete" causality="input">
            <Integer  start="0" />
        </ScalarVariable>
        <ScalarVariable name="lane_frontFront" valueReference="2" variability="discrete" causality="input">
            <Integer  start="0" />
        </ScalarVariable>
        <ScalarVariable name="presence_front" valueReference="0" variability="discrete" causality="input">
            <Boolean  start="false" />
        </ScalarVariable>
        <ScalarVariable name="presence_frontFront" valueReference="1" variability="discrete" causality="input">
            <Boolean  start="false" />
        </ScalarVariable>
        <ScalarVariable name="dummyFMU_Output" valueReference="25"  causality="output">
            <Real  />
        </ScalarVariable>
        
</ModelVariables>

  <Implementation>
    <CoSimulation_StandAlone>
      <Capabilities canHandleVariableCommunicationStepSize="true" canHandleEvents="true"/>
    </CoSimulation_StandAlone>
  </Implementation>

</fmiModelDescription>
